Debian Bug report logs - #527956
gpsdrive: FTBFS:

version graph

Package: gpsdrive; Maintainer for gpsdrive is Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>; Source for gpsdrive is src:gpsdrive.

Reported by: Kurt Roeckx <kurt@roeckx.be>

Date: Sat, 9 May 2009 17:36:02 UTC

Severity: serious

Found in version gpsdrive/2.10~pre4-6.dfsg-2

Fixed in version gpsdrive/2.10~pre4-6.dfsg-3

Done: Andreas Putzo <andreas@putzo.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>:
Bug#527956; Package gpsdrive. (Sat, 09 May 2009 17:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kurt Roeckx <kurt@roeckx.be>:
New Bug report received and forwarded. Copy sent to Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>. (Sat, 09 May 2009 17:36:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Kurt Roeckx <kurt@roeckx.be>
To: submit@bugs.debian.org
Subject: gpsdrive: FTBFS:
Date: Sat, 9 May 2009 19:31:58 +0200
Source: gpsdrive
Version: 2.10~pre4-6.dfsg-2
Severity: serious

Hi,

There was an error while trying to autobuild your package:

> Start Time: 20090509-1635

[...]

> Build-Depends: debhelper (>= 5), automake1.9, libtool, pkg-config, libpcre3-dev, libgtk2.0-dev, libart-2.0-dev, libxml2-dev, libmysqlclient15-dev, autotools-dev, dpatch, libmapnik-dev (>= 0.5~svn638), libboost-dev, libboost-filesystem-dev, libboost-serialization-dev, libdbus-glib-1-dev

[...]

> Toolchain package versions: libc6-dev_2.9-12 linux-libc-dev_2.6.29-4 g++-4.3_4.3.3-8 gcc-4.3_4.3.3-8 binutils_2.19.1-1 libstdc++6_4.4.0-4 libstdc++6-4.3-dev_4.3.3-8
> 

[...]

> if i486-linux-gnu-g++ -DHAVE_CONFIG_H -I. -I. -I.. -DLOCALEDIR=\"/usr/share/locale\" -DDATADIR=\"/usr/share\" -DLIBDIR=\"/usr/lib\" -DFRIENDSSERVERVERSION=\"2\"   -DMAPNIK -I/usr/include/ -I/usr/local/include -I/opt/boost_1_35/include/boost-1_35 -I/usr/local/include/freetype2 -I/usr/include/freetype2 -I. -L/usr/local/lib -I. -I. -I.. -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -DDBUS_API_SUBJECT_TO_CHANGE=1    -g -O2  -MT mapnik.o -MD -MP -MF ".deps/mapnik.Tpo" -c -o mapnik.o mapnik.cpp; \
> 	then mv -f ".deps/mapnik.Tpo" ".deps/mapnik.Po"; else rm -f ".deps/mapnik.Tpo"; exit 1; fi
> /bin/sh ../libtool --tag=CXX --mode=link i486-linux-gnu-g++  -g -O2    -o gpsdrive  gpsdrive.o splash.o gpsdrive_config.o navigation.o speech_out.o friends.o battery.o track.o poi.o wlan.o waypoint.o draw_grid.o settings.o gpssql.o gpskismet.o icons.o gui.o poi_gui.o main_gui.o navigation_gui.o settings_gui.o LatLong-UTMconversion.o gpsnasamap.o gpsmisc.o geometry.o map_handler.o import_map.o routes.o download_map.o map_projection.o speech_strings.o gps_handler.o nmea_handler.o unit_test.o mapnik.o -lcrypt -lfontconfig -lfontconfig -lcairo  -pthread -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0 -lm -lpangocairo-1.0 -lgio-2.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgobject-2.0 -lgmodule-2.0 -lgthread-2.0 -lrt -lglib-2.0 -lart_lgpl_2   -lxml2   -L/usr/lib -lpcre   -ldbus-1   -ldbus-glib-1 -ldbus-1 -lgobject-2.0 -lglib-2.0   -lfreetype -lmapnik
> ../libtool: line 777: X--tag=CXX: command not found
> ../libtool: line 810: libtool: ignoring unknown tag : command not found
> ../libtool: line 777: X--mode=link: command not found
> ../libtool: line 927: *** Warning: inferring the mode of operation is deprecated.: command not found
> ../libtool: line 928: *** Future versions of Libtool will require -mode=MODE be specified.: command not found
> i486-linux-gnu-gcc: no input files
> i486-linux-gnu-gcc: no input files
> i486-linux-gnu-gcc: no input files
> i486-linux-gnu-gcc: no input files
> ../libtool: line 2081: X-g: command not found
> ../libtool: line 2081: X-O2: command not found
> ../libtool: line 1832: X-L/usr/lib: No such file or directory
> ../libtool: line 2245: Xgpsdrive: command not found
> ../libtool: line 2250: X: command not found
> ../libtool: line 2257: Xgpsdrive: command not found
> ../libtool: line 2265: mkdir /.libs: No such file or directory
> mkdir: cannot create directory `/.libs': Permission denied
> make[4]: *** [gpsdrive] Error 1
> make[4]: Leaving directory `/build/buildd-gpsdrive_2.10~pre4-6.dfsg-2-i386-hIi1NC/gpsdrive-2.10~pre4-6.dfsg/src'
> make[3]: *** [all-recursive] Error 1
> make[3]: Leaving directory `/build/buildd-gpsdrive_2.10~pre4-6.dfsg-2-i386-hIi1NC/gpsdrive-2.10~pre4-6.dfsg/src'
> make[2]: *** [all-recursive] Error 1
> make[2]: Leaving directory `/build/buildd-gpsdrive_2.10~pre4-6.dfsg-2-i386-hIi1NC/gpsdrive-2.10~pre4-6.dfsg'
> make[1]: *** [all] Error 2
> make: *** [build-arch-stamp] Error 2
> dpkg-buildpackage: failure: debian/rules build gave error exit status 2
> make[1]: Leaving directory `/build/buildd-gpsdrive_2.10~pre4-6.dfsg-2-i386-hIi1NC/gpsdrive-2.10~pre4-6.dfsg'

A full build log can be found at:
http://buildd.debian.org/build.php?arch=i386&pkg=gpsdrive&ver=2.10~pre4-6.dfsg-2+b1

This is most likely caused by mixing old and new parts of libtool.
This could for instance happen when not all aclocal.m4 are
regenerated.


Kurt





Information forwarded to debian-bugs-dist@lists.debian.org, Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>:
Bug#527956; Package gpsdrive. (Sat, 23 May 2009 21:24:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Andrew J. Barr" <andrew.james.barr@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>. (Sat, 23 May 2009 21:24:04 GMT) Full text and rfc822 format available.

Message #10 received at 527956@bugs.debian.org (full text, mbox):

From: "Andrew J. Barr" <andrew.james.barr@gmail.com>
To: 527956@bugs.debian.org
Date: Sat, 23 May 2009 17:19:17 -0400
It appears that this bug is triggered when using ccache. When I disable
use of this on my system, this bug goes away.





Information forwarded to debian-bugs-dist@lists.debian.org, Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>:
Bug#527956; Package gpsdrive. (Mon, 25 May 2009 22:09:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>. (Mon, 25 May 2009 22:09:08 GMT) Full text and rfc822 format available.

Message #15 received at 527956@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Kurt Roeckx <kurt@roeckx.be>, 527956@bugs.debian.org
Subject: Re: Bug#527956: gpsdrive: FTBFS:
Date: Mon, 25 May 2009 22:28:39 +0100
On Sat, 2009-05-09 at 19:31 +0200, Kurt Roeckx wrote:
> There was an error while trying to autobuild your package:
> [...]
> 
> > if i486-linux-gnu-g++ -DHAVE_CONFIG_H -I. -I. -I.. -DLOCALEDIR=\"/usr/share/locale\" -DDATADIR=\"/usr/share\" -DLIBDIR=\"/usr/lib\" -DFRIENDSSERVERVERSION=\"2\"   -DMAPNIK -I/usr/include/ -I/usr/local/include -I/opt/boost_1_35/include/boost-1_35 -I/usr/local/include/freetype2 -I/usr/include/freetype2 -I. -L/usr/local/lib -I. -I. -I.. -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -DDBUS_API_SUBJECT_TO_CHANGE=1    -g -O2  -MT mapnik.o -MD -MP -MF ".deps/mapnik.Tpo" -c -o mapnik.o mapnik.cpp; \
> > 	then mv -f ".deps/mapnik.Tpo" ".deps/mapnik.Po"; else rm -f ".deps/mapnik.Tpo"; exit 1; fi
> > /bin/sh ../libtool --tag=CXX --mode=link i486-linux-gnu-g++  -g -O2    -o gpsdrive  gpsdrive.o splash.o gpsdrive_config.o navigation.o speech_out.o friends.o battery.o track.o poi.o wlan.o waypoint.o draw_grid.o settings.o gpssql.o gpskismet.o icons.o gui.o poi_gui.o main_gui.o navigation_gui.o settings_gui.o LatLong-UTMconversion.o gpsnasamap.o gpsmisc.o geometry.o map_handler.o import_map.o routes.o download_map.o map_projection.o speech_strings.o gps_handler.o nmea_handler.o unit_test.o mapnik.o -lcrypt -lfontconfig -lfontconfig -lcairo  -pthread -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0 -lm -lpangocairo-1.0 -lgio-2.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgobject-2.0 -lgmodule-2.0 -lgthread-2.0 -lrt -lglib-2.0 -lart_lgpl_2   -lxml2   -L/usr/lib -lpcre   -ldbus-1   -ldbus-glib-1 -ldbus-1 -lgobject-2.0 -lglib-2.0   -lfreetype -lmapnik
> > ../libtool: line 777: X--tag=CXX: command not found
> > ../libtool: line 810: libtool: ignoring unknown tag : command not found
[...]
> This is most likely caused by mixing old and new parts of libtool.
> This could for instance happen when not all aclocal.m4 are
> regenerated.

Running "libtoolize -i -f" after autoconf in debian/rules makes the
package build again and the few quick tests I tried seemed to work okay;
I don't have any GPS equipment in order to test the packages properly.

One oddity I did notice in the debdiffs of the binary packages is that
gpsdrive lost its zlib dependency; I can't see any obvious reason for
that, hence not having tagged the bug patch as yet.

Regards,

Adam




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>:
Bug#527956; Package gpsdrive. (Mon, 25 May 2009 22:12:56 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kurt Roeckx <kurt@roeckx.be>:
Extra info received and forwarded to list. Copy sent to Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>. (Mon, 25 May 2009 22:12:56 GMT) Full text and rfc822 format available.

Message #20 received at 527956@bugs.debian.org (full text, mbox):

From: Kurt Roeckx <kurt@roeckx.be>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Cc: 527956@bugs.debian.org
Subject: Re: Bug#527956: gpsdrive: FTBFS:
Date: Mon, 25 May 2009 23:46:05 +0200
On Mon, May 25, 2009 at 10:28:39PM +0100, Adam D. Barratt wrote:
> 
> One oddity I did notice in the debdiffs of the binary packages is that
> gpsdrive lost its zlib dependency; I can't see any obvious reason for
> that, hence not having tagged the bug patch as yet.

This might be the result of using the Debian version of
libtool which is patched not link against the depedencies
of the dependent on library.  So zlib will still be
pulled in, but it's the other lib that is using it and
pulling it in.


Kurt





Information forwarded to debian-bugs-dist@lists.debian.org, Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>:
Bug#527956; Package gpsdrive. (Sat, 30 May 2009 17:45:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hamish <hamish_b@yahoo.com>:
Extra info received and forwarded to list. Copy sent to Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>. (Sat, 30 May 2009 17:45:02 GMT) Full text and rfc822 format available.

Message #25 received at 527956@bugs.debian.org (full text, mbox):

From: Hamish <hamish_b@yahoo.com>
To: 527956@bugs.debian.org
Subject: Re: Bug#527956: gpsdrive: FTBFS:
Date: Sun, 31 May 2009 05:42:49 +1200
FWIW, autoconf has been replaced by cmake in the soonish upcoming
release, so you might consider this bug to be fixed upstream "with
extreme prejudice".


Hamish




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>:
Bug#527956; Package gpsdrive. (Wed, 10 Jun 2009 18:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>. (Wed, 10 Jun 2009 18:42:04 GMT) Full text and rfc822 format available.

Message #30 received at 527956@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Kurt Roeckx <kurt@roeckx.be>, 527956@bugs.debian.org
Subject: Re: Bug#527956: gpsdrive: FTBFS:
Date: Wed, 10 Jun 2009 19:38:40 +0100
On Mon, 2009-05-25 at 23:46 +0200, Kurt Roeckx wrote:
> On Mon, May 25, 2009 at 10:28:39PM +0100, Adam D. Barratt wrote:
> > 
> > One oddity I did notice in the debdiffs of the binary packages is that
> > gpsdrive lost its zlib dependency; I can't see any obvious reason for
> > that, hence not having tagged the bug patch as yet.
> 
> This might be the result of using the Debian version of
> libtool which is patched not link against the depedencies
> of the dependent on library.  So zlib will still be
> pulled in, but it's the other lib that is using it and
> pulling it in.

Yep, looks like it; thanks.

gpsdrive maintainers:

This bug has been open for a month already and is the last thing
blocking the transition of the new version of mapnik to testing.  I'm
therefore planning on uploading an NMU to fix it in a couple of days'
time, unless there are any objections.  If you'd rather fix it
yourselves then that's obviously fine, but please say so. :-)

Regards,

Adam




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>:
Bug#527956; Package gpsdrive. (Thu, 11 Jun 2009 13:42:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Putzo <andreas@putzo.net>:
Extra info received and forwarded to list. Copy sent to Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>. (Thu, 11 Jun 2009 13:42:05 GMT) Full text and rfc822 format available.

Message #35 received at 527956@bugs.debian.org (full text, mbox):

From: Andreas Putzo <andreas@putzo.net>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>, 527956@bugs.debian.org
Subject: Re: Bug#527956: gpsdrive: FTBFS:
Date: Thu, 11 Jun 2009 15:40:05 +0200
Hi,

On Jun 10  19:38, Adam D. Barratt wrote:
> On Mon, 2009-05-25 at 23:46 +0200, Kurt Roeckx wrote:
> > On Mon, May 25, 2009 at 10:28:39PM +0100, Adam D. Barratt wrote:
> > > 
> > > One oddity I did notice in the debdiffs of the binary packages is that
> > > gpsdrive lost its zlib dependency; I can't see any obvious reason for
> > > that, hence not having tagged the bug patch as yet.
> > 
> > This might be the result of using the Debian version of
> > libtool which is patched not link against the depedencies
> > of the dependent on library.  So zlib will still be
> > pulled in, but it's the other lib that is using it and
> > pulling it in.
> 
> Yep, looks like it; thanks.
> 
> gpsdrive maintainers:
> 
> This bug has been open for a month already and is the last thing
> blocking the transition of the new version of mapnik to testing.  I'm
> therefore planning on uploading an NMU to fix it in a couple of days'
> time, unless there are any objections.  If you'd rather fix it
> yourselves then that's obviously fine, but please say so. :-)

i get a symbol lookup error currently. I try to look into this
tonight, but feel free to NMU if you have a working solution :)

gpsdrive: symbol lookup error: /usr/lib/mapnik/0.5/input/postgis.input:
undefined symbol: _ZN5boost5mutex7do_lockEv


Andreas





Information forwarded to debian-bugs-dist@lists.debian.org, Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>:
Bug#527956; Package gpsdrive. (Thu, 11 Jun 2009 17:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>. (Thu, 11 Jun 2009 17:27:03 GMT) Full text and rfc822 format available.

Message #40 received at 527956@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: "Andreas Putzo" <andreas@putzo.net>, <527956@bugs.debian.org>
Subject: Re: Bug#527956: gpsdrive: FTBFS:
Date: Thu, 11 Jun 2009 18:22:07 +0100
Andreas Putzo wrote:
> Hi,
>
> On Jun 10  19:38, Adam D. Barratt wrote:
>> This bug has been open for a month already and is the last thing
>> blocking the transition of the new version of mapnik to testing.  I'm
>> therefore planning on uploading an NMU to fix it in a couple of days'
>> time, unless there are any objections.  If you'd rather fix it
>> yourselves then that's obviously fine, but please say so. :-)
>
> i get a symbol lookup error currently. I try to look into this
> tonight, but feel free to NMU if you have a working solution :)
>
> gpsdrive: symbol lookup error:
> /usr/lib/mapnik/0.5/input/postgis.input: undefined symbol:
> _ZN5boost5mutex7do_lockEv

Hmmm, how did you produce that error? The version of /usr/bin/gpsdrive I've 
built is linked against mapnik 0.6 (that rather being the point of getting 
the bug fixed in the first place ;-) but it's possible something is still 
picking up a 0.5 dependency somewhere.

(and thinking about it the build-dep should probably also be bumped to 
require libmapnik-dev >= 0.6, to ensure that it gets upgraded in chroots if 
already present).

What does "ldd /usr/bin/gpsdrive | egrep mapnik"  give you?

Regards,

Adam 




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>:
Bug#527956; Package gpsdrive. (Thu, 11 Jun 2009 19:27:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Putzo <andreas@putzo.net>:
Extra info received and forwarded to list. Copy sent to Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>. (Thu, 11 Jun 2009 19:27:02 GMT) Full text and rfc822 format available.

Message #45 received at 527956@bugs.debian.org (full text, mbox):

From: Andreas Putzo <andreas@putzo.net>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Cc: 527956@bugs.debian.org
Subject: Re: Bug#527956: gpsdrive: FTBFS:
Date: Thu, 11 Jun 2009 21:22:02 +0200
On Jun 11  18:22, Adam D. Barratt wrote:
> Andreas Putzo wrote:
>> On Jun 10  19:38, Adam D. Barratt wrote:
>>> This bug has been open for a month already and is the last thing
>>> blocking the transition of the new version of mapnik to testing.  I'm
>>> therefore planning on uploading an NMU to fix it in a couple of days'
>>> time, unless there are any objections.  If you'd rather fix it
>>> yourselves then that's obviously fine, but please say so. :-)
>>
>> i get a symbol lookup error currently. I try to look into this
>> tonight, but feel free to NMU if you have a working solution :)
>>
>> gpsdrive: symbol lookup error:
>> /usr/lib/mapnik/0.5/input/postgis.input: undefined symbol:
>> _ZN5boost5mutex7do_lockEv
>
> Hmmm, how did you produce that error? The version of /usr/bin/gpsdrive 
> I've built is linked against mapnik 0.6 (that rather being the point of 
> getting the bug fixed in the first place ;-) but it's possible something 
> is still picking up a 0.5 dependency somewhere.

> (and thinking about it the build-dep should probably also be bumped to  
> require libmapnik-dev >= 0.6, to ensure that it gets upgraded in chroots 
> if already present).

I built the package with pbuilder and tried it in an up-to-date sid
chroot. 

> What does "ldd /usr/bin/gpsdrive | egrep mapnik"  give you?

$ ldd /usr/bin/gpsdrive |grep mapnik
    libmapnik.so.0.6 => /usr/lib/libmapnik.so.0.6 (0xb748b000)

I still had libmapnik0.5 installed. If i deinstall it, gpsdrive runs
without error.

Just noticed there is /usr/lib/mapnik/0.5 hardcoded in 
debian/patches/96-mapnik-plugins-dir.dpatch. I guess that's the problem.


Regards,
Andreas





Information forwarded to debian-bugs-dist@lists.debian.org, Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>:
Bug#527956; Package gpsdrive. (Thu, 11 Jun 2009 19:42:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>. (Thu, 11 Jun 2009 19:42:02 GMT) Full text and rfc822 format available.

Message #50 received at 527956@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Andreas Putzo <andreas@putzo.net>
Cc: 527956@bugs.debian.org
Subject: Re: Bug#527956: gpsdrive: FTBFS:
Date: Thu, 11 Jun 2009 20:39:12 +0100
On Thu, 2009-06-11 at 21:22 +0200, Andreas Putzo wrote:
> On Jun 11  18:22, Adam D. Barratt wrote:
> > Andreas Putzo wrote:
> >> gpsdrive: symbol lookup error:
> >> /usr/lib/mapnik/0.5/input/postgis.input: undefined symbol:
> >> _ZN5boost5mutex7do_lockEv
> >
> > Hmmm, how did you produce that error? The version of /usr/bin/gpsdrive 
> > I've built is linked against mapnik 0.6 (that rather being the point of 
> > getting the bug fixed in the first place ;-) but it's possible something 
> > is still picking up a 0.5 dependency somewhere.
> 
> > (and thinking about it the build-dep should probably also be bumped to  
> > require libmapnik-dev >= 0.6, to ensure that it gets upgraded in chroots 
> > if already present).
> 
> I built the package with pbuilder and tried it in an up-to-date sid
> chroot. 

I meant more specifically. :-) I tried it on up-to-date sid as well, but
I obviously didn't try the right thing, as I hadn't spotted the
problem. :-/

> > What does "ldd /usr/bin/gpsdrive | egrep mapnik"  give you?
> 
> $ ldd /usr/bin/gpsdrive |grep mapnik
>     libmapnik.so.0.6 => /usr/lib/libmapnik.so.0.6 (0xb748b000)
> 
> I still had libmapnik0.5 installed. If i deinstall it, gpsdrive runs
> without error.
> 
> Just noticed there is /usr/lib/mapnik/0.5 hardcoded in 
> debian/patches/96-mapnik-plugins-dir.dpatch. I guess that's the problem.

Yep, sounds likely.

It sounds like you've got this under control? If so and you're likely to
upload a new version shortly then I'll ignore the NMU; a maintainer
upload is generally preferable and you should be able to test it more
usefully than I can :)

Regards,

Adam




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>:
Bug#527956; Package gpsdrive. (Thu, 11 Jun 2009 20:21:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Putzo <andreas@putzo.net>:
Extra info received and forwarded to list. Copy sent to Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>. (Thu, 11 Jun 2009 20:21:02 GMT) Full text and rfc822 format available.

Message #55 received at 527956@bugs.debian.org (full text, mbox):

From: Andreas Putzo <andreas@putzo.net>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Cc: 527956@bugs.debian.org
Subject: Re: Bug#527956: gpsdrive: FTBFS:
Date: Thu, 11 Jun 2009 22:18:17 +0200
On Jun 11  20:39, Adam D. Barratt wrote:
> On Thu, 2009-06-11 at 21:22 +0200, Andreas Putzo wrote:
> > On Jun 11  18:22, Adam D. Barratt wrote:
> > > Andreas Putzo wrote:
> > >> gpsdrive: symbol lookup error:
> > >> /usr/lib/mapnik/0.5/input/postgis.input: undefined symbol:
> > >> _ZN5boost5mutex7do_lockEv
> > >
> > > Hmmm, how did you produce that error? The version of /usr/bin/gpsdrive 
> > > I've built is linked against mapnik 0.6 (that rather being the point of 
> > > getting the bug fixed in the first place ;-) but it's possible something 
> > > is still picking up a 0.5 dependency somewhere.
> > 
> > > (and thinking about it the build-dep should probably also be bumped to  
> > > require libmapnik-dev >= 0.6, to ensure that it gets upgraded in chroots 
> > > if already present).
> > 
> > I built the package with pbuilder and tried it in an up-to-date sid
> > chroot. 
> 
> I meant more specifically. :-) I tried it on up-to-date sid as well, but
> I obviously didn't try the right thing, as I hadn't spotted the
> problem. :-/

Well, i started gpsdrive, got the symbol error and gpsdrive terminated.
You didn't had libmapnik0.6 *and* libmapnik0.5 installed when you tried
it presumably. 

> > > What does "ldd /usr/bin/gpsdrive | egrep mapnik"  give you?
> > 
> > $ ldd /usr/bin/gpsdrive |grep mapnik
> >     libmapnik.so.0.6 => /usr/lib/libmapnik.so.0.6 (0xb748b000)
> > 
> > I still had libmapnik0.5 installed. If i deinstall it, gpsdrive runs
> > without error.
> > 
> > Just noticed there is /usr/lib/mapnik/0.5 hardcoded in 
> > debian/patches/96-mapnik-plugins-dir.dpatch. I guess that's the problem.
> 
> Yep, sounds likely.
> 
> It sounds like you've got this under control? If so and you're likely to
> upload a new version shortly then I'll ignore the NMU; a maintainer
> upload is generally preferable and you should be able to test it more
> usefully than I can :)

Just uploaded the new version. Sorry for the delay, wasn't aware that
i'm blocking the mapnik transition :(

Regards,
Andreas




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>:
Bug#527956; Package gpsdrive. (Thu, 11 Jun 2009 20:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>. (Thu, 11 Jun 2009 20:33:03 GMT) Full text and rfc822 format available.

Message #60 received at 527956@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Andreas Putzo <andreas@putzo.net>
Cc: 527956@bugs.debian.org
Subject: Re: Bug#527956: gpsdrive: FTBFS:
Date: Thu, 11 Jun 2009 21:32:12 +0100
On Thu, 2009-06-11 at 22:18 +0200, Andreas Putzo wrote:
> Well, i started gpsdrive, got the symbol error and gpsdrive terminated.
> You didn't had libmapnik0.6 *and* libmapnik0.5 installed when you tried
> it presumably. 

Ah.  Nope, you're right - I only had 0.6 installed, which is why I
didn't notice.

[...]
> Just uploaded the new version. Sorry for the delay, wasn't aware that
> i'm blocking the mapnik transition :(

No worries; thanks for the upload.  It wasn't a huge transition -
gpsdrive appears to be one of only three packages depending on mapnik -
but this does mean all four packages will now be able to transition to
squeeze, once gpsdrive is built everywhere and has been in unstable long
enough.

Thanks very much for the quick response.

Regards,

Adam




Reply sent to Andreas Putzo <andreas@putzo.net>:
You have taken responsibility. (Thu, 11 Jun 2009 22:15:07 GMT) Full text and rfc822 format available.

Notification sent to Kurt Roeckx <kurt@roeckx.be>:
Bug acknowledged by developer. (Thu, 11 Jun 2009 22:15:07 GMT) Full text and rfc822 format available.

Message #65 received at 527956-close@bugs.debian.org (full text, mbox):

From: Andreas Putzo <andreas@putzo.net>
To: 527956-close@bugs.debian.org
Subject: Bug#527956: fixed in gpsdrive 2.10~pre4-6.dfsg-3
Date: Thu, 11 Jun 2009 21:18:08 +0000
Source: gpsdrive
Source-Version: 2.10~pre4-6.dfsg-3

We believe that the bug you reported is fixed in the latest version of
gpsdrive, which is due to be installed in the Debian FTP archive:

gpsdrive-data_2.10~pre4-6.dfsg-3_all.deb
  to pool/main/g/gpsdrive/gpsdrive-data_2.10~pre4-6.dfsg-3_all.deb
gpsdrive-scripts_2.10~pre4-6.dfsg-3_all.deb
  to pool/main/g/gpsdrive/gpsdrive-scripts_2.10~pre4-6.dfsg-3_all.deb
gpsdrive_2.10~pre4-6.dfsg-3.diff.gz
  to pool/main/g/gpsdrive/gpsdrive_2.10~pre4-6.dfsg-3.diff.gz
gpsdrive_2.10~pre4-6.dfsg-3.dsc
  to pool/main/g/gpsdrive/gpsdrive_2.10~pre4-6.dfsg-3.dsc
gpsdrive_2.10~pre4-6.dfsg-3_i386.deb
  to pool/main/g/gpsdrive/gpsdrive_2.10~pre4-6.dfsg-3_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 527956@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Andreas Putzo <andreas@putzo.net> (supplier of updated gpsdrive package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 11 Jun 2009 19:26:06 +0000
Source: gpsdrive
Binary: gpsdrive gpsdrive-data gpsdrive-scripts
Architecture: source i386 all
Version: 2.10~pre4-6.dfsg-3
Distribution: unstable
Urgency: low
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Changed-By: Andreas Putzo <andreas@putzo.net>
Description: 
 gpsdrive   - Car navigation system
 gpsdrive-data - Car navigation system
 gpsdrive-scripts - Various scripts for gpsdrive
Closes: 527956
Changes: 
 gpsdrive (2.10~pre4-6.dfsg-3) unstable; urgency=low
 .
   * Regenerate aclocal.m4 with libtoolize in debian/rules.
     Thanks to Adam D. Barratt (Closes: #527956)
   * Updated build-dep to libmapnik-dev >= 0.6.
   * Updated 96-mapnik-plugins-dir.dpatch to define the correct
     MAPNIK_PATH.
Checksums-Sha1: 
 5c06acc80d512c4fe92d5358c5e4f55dcf3792c2 1572 gpsdrive_2.10~pre4-6.dfsg-3.dsc
 6a6706e174fc5cc4a159d7251a5f16081aa597c1 57698 gpsdrive_2.10~pre4-6.dfsg-3.diff.gz
 3173e9ac328891d5b70ef02e5b0acec1cc65768f 274366 gpsdrive_2.10~pre4-6.dfsg-3_i386.deb
 d9de11145c9905f239a0fef995f713fbe53ed5e9 2576884 gpsdrive-data_2.10~pre4-6.dfsg-3_all.deb
 496fb4a04b679ba681231d3f6ecf8bff14669c9b 151056 gpsdrive-scripts_2.10~pre4-6.dfsg-3_all.deb
Checksums-Sha256: 
 296fc4638111d5ab0a2edb275c71b0ff3e50bea3e58c1acdaa199c96ad2ad2ad 1572 gpsdrive_2.10~pre4-6.dfsg-3.dsc
 fea256858dffc4aca9b28e2cc29d1a7220bb3015f3d1c5487b5ca9d495fb1fd8 57698 gpsdrive_2.10~pre4-6.dfsg-3.diff.gz
 b60e4bd7d4e0b527af9355d61b669786513a11bd2625c6116c118e99cc0e9fd8 274366 gpsdrive_2.10~pre4-6.dfsg-3_i386.deb
 e4bc891bcc6222eae444103382d099aa9b12d106abd42fccfd49c2f8ad216a17 2576884 gpsdrive-data_2.10~pre4-6.dfsg-3_all.deb
 7927b7b952456eb8c6d205f38d2793eec0862c63f241fcad10545e28761fbd94 151056 gpsdrive-scripts_2.10~pre4-6.dfsg-3_all.deb
Files: 
 fd140f08be6ab0c08cee22a3369a9b35 1572 utils optional gpsdrive_2.10~pre4-6.dfsg-3.dsc
 52678596d28ac0e06bc3da411929c73a 57698 utils optional gpsdrive_2.10~pre4-6.dfsg-3.diff.gz
 40ea757e2a58b1f781e96f2753c1463f 274366 utils optional gpsdrive_2.10~pre4-6.dfsg-3_i386.deb
 b3b53b1a920f87a715bf5ca5e3813817 2576884 utils optional gpsdrive-data_2.10~pre4-6.dfsg-3_all.deb
 f4809db2253e3d8e540bf46ce65f25b9 151056 utils optional gpsdrive-scripts_2.10~pre4-6.dfsg-3_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkoxYowACgkQHyt6sgW5ndaExQCgmVVZcbOvX1EjtVgJXLKUc+tt
q40AoKLAvCA83WyzICKiVZK0y1azP1xt
=gcAG
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 10 Jul 2009 07:32:01 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 07:38:24 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.